Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AdminController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -2,31 +2,18 @@
 
 import lombok.RequiredArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterAdminDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.AdminService;
-import org.springframework.http.HttpStatus;
 import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
-
-import java.util.List;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
 
 @RestController
 @RequestMapping("/api/admin")
 @RequiredArgsConstructor
-@CrossOrigin(origins = "*")
 public class AdminController {
 
-    private final AdminService adminService;
 
-    @PostMapping("/change-access/{recruiter_id}")
-    public ResponseEntity<?> changeAccess(@PathVariable("recruiter_id") Long recruiterId, @RequestBody boolean access) {
-        RecruiterAdminDetailsDTO recruiterAdminDetailsDTO = adminService.changeAccess(recruiterId, access);
-        return new ResponseEntity<>(recruiterAdminDetailsDTO, HttpStatus.OK);
-    }
-
-    @GetMapping("/recruiters")
-    public ResponseEntity<?> findAllRecruiters() {
-        List<RecruiterAdminDetailsDTO> recruiterAdminDetailsDTOList = adminService.findAllRecruiters();
-        return new ResponseEntity<>(recruiterAdminDetailsDTOList, HttpStatus.OK);
+    @GetMapping
+    public ResponseEntity<String> sayHello() {
+        return ResponseEntity.ok("Hi Admin");
     }
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/ApplicationController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/ApplicationController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,68 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.controllers;
-
-import lombok.AllArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.Application;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationStatusDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.ApplicationService;
-import org.springframework.http.HttpStatus;
-import org.springframework.http.MediaType;
-import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
-import org.springframework.web.multipart.MultipartFile;
-import org.springframework.core.io.Resource;
-import org.springframework.http.HttpHeaders;
-
-import java.util.List;
-
-@RestController
-@RequestMapping("/api")
-@AllArgsConstructor
-@CrossOrigin(origins = "*")
-public class ApplicationController {
-    private final ApplicationService applicationService;
-
-    @GetMapping("/my-applications/{id}")
-    public ResponseEntity<?> findAllApplicationsByJobSeekerId(@PathVariable Long id) {
-        List<ApplicationDetailsDTO> applicationList = applicationService.findAllByJobSeekerId(id);
-        return new ResponseEntity<>(applicationList, HttpStatus.OK);
-    }
-
-    @GetMapping("/job-advertisements/{advertisement_id}/applications")
-    public ResponseEntity<?> findAllApplicationsByJobAdvertisementId(@PathVariable("advertisement_id") Long advertisementId) {
-        List<ApplicationDetailsDTO> applicationList = applicationService.findAllByJobAdvertisementId(advertisementId);
-        return new ResponseEntity<>(applicationList, HttpStatus.OK);
-    }
-
-    @PostMapping("/applications/{id}/update")
-    public ResponseEntity<?> updateApplicationStatus(@PathVariable("id") Long applicaitonId, @RequestBody ApplicationStatusDTO appStatusDTO) {
-        ApplicationStatusDTO applicationStatusDTO = applicationService.updateApplicationStatus(applicaitonId,appStatusDTO.getStatus());
-        return new ResponseEntity<>(applicationStatusDTO, HttpStatus.OK);
-    }
-
-    @GetMapping("/applications/{id}/download-resume")
-    public ResponseEntity<Resource> downloadResume(@PathVariable("id") Long applicationId) {
-        Resource resource = applicationService.loadResumeAsResource(applicationId);
-        return ResponseEntity.ok()
-                .contentType(MediaType.APPLICATION_PDF)
-                .header(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=\"" + resource.getFilename() + "\"")
-                .body(resource);
-    }
-
-    @PostMapping("/applications/submit")
-    public ResponseEntity<ApplicationDetailsDTO> submitApplication(
-            @RequestParam("jobSeekerId") Long jobSeekerId,
-            @RequestParam("jobAdId") Long jobAdId,
-            @RequestParam("resumeFile") MultipartFile resumeFile,
-            @RequestParam("answerOne") String answerOne,
-            @RequestParam("answerTwo") String answerTwo,
-            @RequestParam("answerThree") String answerThree,
-            @RequestParam("messageToRecruiter") String messageToRecruiter) {
-
-        ApplicationDTO applicationDTO = new ApplicationDTO(jobSeekerId, jobAdId,
-                resumeFile, answerOne, answerTwo, answerThree, messageToRecruiter);
-        ApplicationDetailsDTO applicationDetailsDTO = applicationService.submitApplication(applicationDTO);
-        return new ResponseEntity<>(applicationDetailsDTO, HttpStatus.OK);
-    }
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/AuthController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -12,8 +12,8 @@
 import org.springframework.web.bind.annotation.*;
 
+@CrossOrigin(origins = "*")
 @RestController
 @RequestMapping("/api/auth")
 @AllArgsConstructor
-@CrossOrigin(origins = "*")
 public class AuthController {
 
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobAdvertisementController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobAdvertisementController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ 	(revision )
@@ -1,79 +1,0 @@
-package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.controllers;
-
-
-import lombok.AllArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.Application;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.applications.DTO.ApplicationDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdFilterDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdvertisementDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.DTO.JobAdDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.job_advertisements.JobAdvertisement;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.ApplicationService;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.JobAdvertisementService;
-import org.springframework.http.HttpStatus;
-import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
-import org.springframework.web.multipart.MultipartFile;
-
-import java.util.List;
-
-@RestController
-@RequestMapping("/api/job-advertisements")
-@AllArgsConstructor
-@CrossOrigin(origins = "*")
-public class JobAdvertisementController {
-
-    private final JobAdvertisementService jobAdvertisementService;
-    private final ApplicationService applicationService;
-
-    @PostMapping("/add")
-    public ResponseEntity<?> addJobAdvertisement(@RequestBody JobAdvertisementDTO jobAdvertisementDTO) {
-        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.addJobAdvertisement(jobAdvertisementDTO);
-        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
-    }
-
-    @PutMapping("/edit/{id}")
-    public ResponseEntity<?> editJobAdvertisement(@PathVariable Long id, @RequestBody JobAdvertisementDTO JobAdvertisementDTO) {
-        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.editJobAdvertisement(id, JobAdvertisementDTO);
-        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
-    }
-
-    @DeleteMapping("/delete/{id}")
-    public ResponseEntity<?> deleteJobAdvertisement(@PathVariable Long id) {
-        jobAdvertisementService.deleteJobAdvertisement(id);
-        return new ResponseEntity<>("Job Advertisement with id: "+ id + "deleted.", HttpStatus.OK);
-    }
-
-    @GetMapping("/recruiter/{id}")
-    public ResponseEntity<?> findAllJobAdvertisementsByRecruiterId(@PathVariable Long id) {
-        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.findAllJobAdvertisementsByRecruiterId(id);
-        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
-    }
-
-    @PostMapping("/recruiter/{id}/filtered")
-    public ResponseEntity<?> filterJobAdvertisementsByRecruiterId(@PathVariable Long id, @RequestBody JobAdFilterDTO jobAdFilterDTO) {
-        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.filterJobAdvertisementsByRecruiterId(id, jobAdFilterDTO);
-        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
-    }
-
-    @GetMapping("/all")
-    public ResponseEntity<?> findAllJobAdvertisements() {
-        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.findAllJobAdvertisements();
-        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
-    }
-
-    @PostMapping("/filtered")
-    public ResponseEntity<?> filterJobAdvertisements(@RequestBody JobAdFilterDTO jobAdFilterDTO) {
-        List<JobAdDetailsDTO> jobAdDetailsDTOS = jobAdvertisementService.filterJobAdvertisements(jobAdFilterDTO);
-        return new ResponseEntity<>(jobAdDetailsDTOS, HttpStatus.OK);
-    }
-
-    @GetMapping("/{id}")
-    public ResponseEntity<?> findJobAdvertisementById(@PathVariable Long id) {
-        JobAdDetailsDTO jobAdDetailsDTO = jobAdvertisementService.findJobAdvertisementById(id);
-        return new ResponseEntity<>(jobAdDetailsDTO, HttpStatus.OK);
-    }
-
-
-
-}
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/JobSeekerController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -2,50 +2,11 @@
 
 
-import lombok.AllArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.JobSeekerEditDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterEditDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.JobSeekerService;
-import org.springframework.core.io.Resource;
-import org.springframework.http.HttpHeaders;
-import org.springframework.http.HttpStatus;
-import org.springframework.http.MediaType;
-import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
-import org.springframework.web.multipart.MultipartFile;
+import lombok.RequiredArgsConstructor;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
 
 @RestController
 @RequestMapping("/api/job-seeker")
-@AllArgsConstructor
-@CrossOrigin(origins = "*")
+@RequiredArgsConstructor
 public class JobSeekerController {
-    private final JobSeekerService jobSeekerService;
-
-    @GetMapping("/{id}/edit-info")
-    public ResponseEntity<?> getJobSeekerEditDetailsById(@PathVariable("id") Long id) {
-        JobSeekerEditDetailsDTO jobSeekerEditDetailsDTO = jobSeekerService.getJobSeekerEditDetailsById(id);
-        return new ResponseEntity<>(jobSeekerEditDetailsDTO, HttpStatus.OK);
-    }
-
-    @PostMapping("/{id}/edit-info")
-    public ResponseEntity<?> editRecruiterDetailsById(@PathVariable("id") Long id, @RequestBody JobSeekerEditDetailsDTO jobSeekerEditDetailsDTO) {
-        JobSeekerEditDetailsDTO jobSeekerEditDetailsDTOresp = jobSeekerService.editJobSeekerDetailsById(id, jobSeekerEditDetailsDTO);
-        return new ResponseEntity<>(jobSeekerEditDetailsDTOresp, HttpStatus.OK);
-    }
-
-    @PostMapping("/submit-profile-pic")
-    public ResponseEntity<?> submitJobSeekerProfilePic(
-            @RequestParam("jobSeekerId") Long jobSeekerId,
-            @RequestParam("profilePicFile") MultipartFile profilePicFile) {
-        jobSeekerService.submitProfilePic(jobSeekerId, profilePicFile);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
-    @GetMapping("/{id}/download-profile-pic")
-    public ResponseEntity<?> downloadJobSeekerProfilePic(@PathVariable("id") Long id) {
-        Resource resource = jobSeekerService.loadProfilePicAsResource(id);
-        return ResponseEntity.ok()
-                .contentType(MediaType.IMAGE_JPEG)
-                .header(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=\"" + resource.getFilename() + "\"")
-                .body(resource);
-    }
 }
Index: jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java
===================================================================
--- jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
+++ jobvista-backend/src/main/java/mk/ukim/finki/predmeti/internettehnologii/jobvistabackend/controllers/RecruiterController.java	(revision d8b6c91094bd4c748b347d914a3c4c3745d51587)
@@ -1,57 +1,18 @@
 package mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.controllers;
 
-import lombok.AllArgsConstructor;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.models.users.DTO.RecruiterEditDetailsDTO;
-import mk.ukim.finki.predmeti.internettehnologii.jobvistabackend.service.intef.RecruiterService;
-import org.springframework.core.io.Resource;
-import org.springframework.http.HttpHeaders;
-import org.springframework.http.HttpStatus;
-import org.springframework.http.MediaType;
+import lombok.RequiredArgsConstructor;
 import org.springframework.http.ResponseEntity;
-import org.springframework.web.bind.annotation.*;
-import org.springframework.web.multipart.MultipartFile;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
 
 @RestController
 @RequestMapping("/api/recruiter")
-@AllArgsConstructor
-@CrossOrigin(origins = "*")
+@RequiredArgsConstructor
 public class RecruiterController {
 
-    private final RecruiterService recruiterService;
-
-    @GetMapping("/{id}/info")
-    public ResponseEntity<?> getRecruiterDetailsById(@PathVariable("id") Long id) {
-        RecruiterDetailsDTO recruiterDetailsDTO = recruiterService.getRecruiterDetailsById(id);
-        return new ResponseEntity<>(recruiterDetailsDTO, HttpStatus.OK);
-    }
-
-    @GetMapping("/{id}/edit-info")
-    public ResponseEntity<?> getRecruiterEditDetailsById(@PathVariable("id") Long id) {
-        RecruiterEditDetailsDTO recruiterEditDetailsDTO = recruiterService.getRecruiterEditDetailsById(id);
-        return new ResponseEntity<>(recruiterEditDetailsDTO, HttpStatus.OK);
-    }
-
-    @PostMapping("/{id}/edit-info")
-    public ResponseEntity<?> editRecruiterDetailsById(@PathVariable("id") Long id, @RequestBody RecruiterEditDetailsDTO recruiterEditDetailsDTO) {
-        RecruiterEditDetailsDTO recruiterEditDetailsDTOresp = recruiterService.editRecruiterDetailsById(id, recruiterEditDetailsDTO);
-        return new ResponseEntity<>(recruiterEditDetailsDTOresp, HttpStatus.OK);
-    }
-
-    @PostMapping("/submit-logo")
-    public ResponseEntity<?> submitRecruiterLogo(
-            @RequestParam("recruiterId") Long recruiterId,
-            @RequestParam("logoFile") MultipartFile logoFile) {
-        recruiterService.submitLogo(recruiterId, logoFile);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
-    @GetMapping("/{id}/download-logo")
-    public ResponseEntity<?> downloadRecruiterLogo(@PathVariable("id") Long id) {
-        Resource resource = recruiterService.loadLogoAsResource(id);
-        return ResponseEntity.ok()
-                .contentType(MediaType.IMAGE_JPEG)
-                .header(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=\"" + resource.getFilename() + "\"")
-                .body(resource);
+    @GetMapping
+    public ResponseEntity<String> sayHello() {
+        return ResponseEntity.ok("Hi Recruiter");
     }
 }
